# SWDB

# \K_Rune_Set

A rune set.

Represents an object from the table 'k_rune_set'.

## Summary

Methods
Properties
Constants
__construct()
get_image()
$db
$id
$name
$amount
$description
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/K_Rune_Set.php
Package
  Default
Class hierarchy
  \Entity
  \K_Rune_Set

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $id

    $id : integer

#### Type

integer — Set identifier.

#

## Tags

None found

### $name

    $name : string

#### Type

string — Set name.

#

## Tags

None found

### $amount

    $amount : integer

#### Type

integer — Required number of runes to activate the set.

#

## Tags

None found

### $description

    $description : string

#### Type

string — Set description.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the set, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Set identifier.

#

## Tags

None found

### get_image()

    get_image() : string

Gets the path to the set image. The image must be in the img/rune/ directory, and its name must be the set id, padded with '0' to 2 digits, and the extension must be '.png'.

#### Returns

string —

Image URL, or a fixed unknown image.

#

## Tags

None found

### K_Rune_Set.php